Bug 132303 - bind is unable to find zone files after update to the latest testing version
Summary: bind is unable to find zone files after update to the latest testing version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bind
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: FC3Target 123574
TreeView+ depends on / blocked
 
Reported: 2004-09-10 19:11 UTC by Milan Kerslager
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version: bind-9.2.4rc7-12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-10 20:52:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:567 normal SHIPPED_LIVE Updated bind packages 2004-12-21 05:00:00 UTC

Description Milan Kerslager 2004-09-10 19:11:26 UTC
The latest development version of bind has one more bug. It seems that
when using yum for updating, the server has been restarted twice but
even that just *before* /etc/sysconfig/named with ROOTDIR has been in
place. Thus no zone file (I have extra zones defined) has been loaded
and the server act just like caching nameserver beiing unable to
server my defined domains. One more restart after update and
everything has been OK.

Running test transaction:
Test transaction complete, Success!
bind-libs 100 % done 1/7
bind-utils 100 % done 2/7
bind 100 % done 3/7
bind-chroot 100 % done 4/7
Stopping named: [  OK  ]
Starting named: [  OK  ]
Completing update for bind  - 5/7
Completing update for bind-utils  - 6/7
Stopping named: [  OK  ]
Starting named: [  OK  ]
Completing update for bind-chroot  - 7/7

20:58:50 first server shutdown
20:58:52 server starts and zones are loaded ok
20:58:55 shutdown
20:58:57 starting, zones are ok
20:58:59 stopped
20:59:02 starting with no zones available
20:59:02 /etc/sysconfig/named has been modified
20:59:33 my manual restart, all ok

I had bind-9.2.2-21 before trying to update to bind-9.2.4rc7-11_EL3.

Comment 1 Milan Kerslager 2004-09-10 19:21:57 UTC
The yum-path-update-trouble I had on two servers. The third I tryed to
use rpm -Uvh by hand and everything went ok. In the logs I can see
that the first time bind has been stopped and run in chroot, then
without chroot and third time started with chroot option again.

Comment 2 Milan Kerslager 2004-09-10 19:25:54 UTC
In #1 report, there was 20:59:33 start in chroot, 20:59:02 without
chroot, 20:58:57 with chroot, 20:58:52 with chroot (according to logs).

Comment 3 Jason Vas Dias 2004-09-10 20:51:21 UTC
Aargh! The old bind-chroot-9.2.2-21 %postun script does a 
"service named restart"
after removing the 'ROOTDIR=' line from /etc/sysconfig/named, so 
after the %triggerpostun script of bind-chroot-9.2.4rc7-11_EL3
puts back the 'ROOTDIR=' line, named may still be left running
outside of the chroot.
bind-chroot-9.2.4rc7-12_EL3 will restart named after restoring the
'ROOTDIR=' line.

Comment 5 Jason Vas Dias 2004-10-19 13:50:49 UTC
This bug is fixed in RHEL-3 with bind-9.2.4-1_EL3 .

Comment 6 John Flanagan 2004-12-21 19:49:55 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-567.html



Note You need to log in before you can comment on or make changes to this bug.